Opened 4 years ago

Closed 4 years ago

#50892 closed defect (fixed)

octave-devel-rc @4.0.1-rc4: wrong version in files/octave-devel-rc

Reported by: Schamschula (Marius Schamschula) Owned by: MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: haspatch Cc:
Port: octave-devel

Description

The file octave-devel-rc needs to updated every time the sub-port octave-devel-rc is updated. Apparently, this has not happened since rc1, resulting in a broken octave select. It would be best to regenerate this file programmatically via the Portfile.

Attachments (2)

patch-octave-devel-rc.diff (2.9 KB) - added by Schamschula (Marius Schamschula) 4 years ago.
patch-octave-devel-rc.2.diff (2.9 KB) - added by Schamschula (Marius Schamschula) 4 years ago.

Download all attachments as: .zip

Change History (5)

Changed 4 years ago by Schamschula (Marius Schamschula)

Attachment: patch-octave-devel-rc.diff added

Changed 4 years ago by Schamschula (Marius Schamschula)

comment:1 Changed 4 years ago by Schamschula (Marius Schamschula)

Stupid browser attached the same file twice…

comment:2 Changed 4 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Owner: changed from macports-tickets@… to mcalhoun@…
Status: newassigned

Thank you for the report and especially the patch.
I will look to automate the process, but in the meantime, r146640 should fix the problem.

comment:3 Changed 4 years ago by MarcusCalhoun-Lopez (Marcus Calhoun-Lopez)

Cc: mcalhoun@… removed
Resolution: fixed
Status: assignedclosed

Thank you for the report and especially the patch.
I will look to automate the process, but in the meantime, r146640 should fix the problem for now.

Note: See TracTickets for help on using tickets.